Package writer2latex.latex.util

# Class StyleMap

java.lang.Object
writer2latex.latex.util.StyleMap

public class StyleMap extends Object

## Constructor Summary

Constructors
Constructor
Description
`StyleMap()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contains(String sName)`
`String`
`getAfter(String sName)`
`String`
`getBefore(String sName)`
`int`
`getBreakAfter(String sName)`
`boolean`
`getLineBreak(String sName)`
`Enumeration<String>`
`getNames()`
`String`
`getNext(String sName)`
`boolean`
`getVerbatim(String sName)`
`boolean`
`isNext(String sName, String sNext)`
`void`
`put(String sName, String sBefore, String sAfter)`
`void`
`put(String sName, String sBefore, String sAfter, boolean bLineBreak, int nBreakAfter, boolean bVerbatim)`
`void`
`put(String sName, String sBefore, String sAfter, String sNext, boolean bVerbatim)`
`void`
`put(String sName, String sBefore, String sAfter, String sNext, boolean bLineBreak, int nBreakAfter, boolean bVerbatim)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StyleMap

public StyleMap()

## Method Details

### put

public void put(String sName, String sBefore, String sAfter, String sNext, boolean bLineBreak, int nBreakAfter, boolean bVerbatim)

### put

public void put(String sName, String sBefore, String sAfter, boolean bLineBreak, int nBreakAfter, boolean bVerbatim)

### put

public void put(String sName, String sBefore, String sAfter, String sNext, boolean bVerbatim)

### put

public void put(String sName, String sBefore, String sAfter)

### contains

public boolean contains(String sName)

### getBefore

public String getBefore(String sName)

### getAfter

public String getAfter(String sName)

### getNext

public String getNext(String sName)

### isNext

public boolean isNext(String sName, String sNext)

### getLineBreak

public boolean getLineBreak(String sName)

### getBreakAfter

public int getBreakAfter(String sName)

### getVerbatim

public boolean getVerbatim(String sName)

### getNames

public Enumeration<String> getNames()